Mailinglist Archive: opensuse-factory (649 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170819 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170819

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa
accountsservice
bijiben (3.24.0 -> 3.24.1)
clutter-gtk (1.8.2 -> 1.8.4)
enchant
evolution (3.24.4 -> 3.24.5)
evolution-data-server (3.24.4 -> 3.24.5)
evolution-ews (3.24.4 -> 3.24.5)
file-roller
fuse
gdk-pixbuf (2.36.7 -> 2.36.8)
gedit (3.22.0 -> 3.22.1)
geocode-glib (3.23.90 -> 3.24.0)
gnome-online-accounts (3.24.1 -> 3.24.2)
gnome-online-miners (3.22.0 -> 3.24.0)
gnome-settings-daemon
graphene
gtk3 (3.22.17 -> 3.22.18)
kernel-source (4.12.7 -> 4.12.8)
libglvnd
libmediaart (1.9.1 -> 1.9.4)
libofa
libostree (2017.8 -> 2017.9)
libsoup (2.58.1 -> 2.58.2)
link-grammar
mutter
nut
pango (1.40.7 -> 1.40.9)
perl-Class-Inspector (1.31 -> 1.32)
perl-DBD-mysql
perl-Net-Server (2.008 -> 2.009)
perl-Specio (0.38 -> 0.39)
perl-XML-XPath (1.41 -> 1.42)
s2tc
sendmail
sni-qt
texlive-specs-n (2017.131.2.004svn28119 -> 2017.132.2.004svn28119)
tracker (1.12.1 -> 1.12.2)
tracker-extras (1.12.1 -> 1.12.2)
transmission
upower (0.99.4 -> 0.99.5)
webkitgtk
whois

=== Details ===

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel Mesa-libEGL1
Mesa-libGL-devel Mesa-libGL1 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva
libOSMesa8 libOSMesa8-32bit libgbm1 libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_radeon libwayland-egl1 libxatracker2

- Replace uses of arch directive with targettype within a package
declaration to resolve incorrect dependencies placed on -32bit
packages.
- Removed n_glesv2.pc-Add-lGL-for-libglvnd-builds-boo-1052776.patch
* The issue was in libglvnd which is fixed now. (boo#1052776)

==== accountsservice ====
Subpackages: libaccountsservice0 typelib-1_0-AccountsService-1_0

- Update specfile to build
as-fate318433-prevent-same-account-multi-logins.patch on SLE15.

==== bijiben ====
Version update (3.24.0 -> 3.24.1)
Subpackages: gnome-shell-search-provider-bijiben

- Update to version 3.24.1:
+ Added support for glib 2.53.4.
+ Fixed transparent window issue when no notes are displayed.
+ Added support for glib 2.53.2.
+ Fixed memory leak when saving a note.
+ Fixed memory leak when deleting note in local provider.
+ Fixed application state stuck in trash view.
+ Fixed 64 bits format for text output.
+ Fixed application cash when some dates are null.
+ Added missing break in a case statement.
+ Removed warning about .Trash folder missing.
+ Updated translations.
- Drop upstream fixed patches:
+ bijiben-fix-missing-break-in-case-statement.patch.
+ bijiben-fix-i586-longint.patch.
+ bijiben-remove-warning-about-Trash-folder.patch.
+ bijiben-memo-provider-crash-opening-memo.patch.

==== clutter-gtk ====
Version update (1.8.2 -> 1.8.4)
Subpackages: libclutter-gtk-1_0-0 typelib-1_0-GtkClutter-1_0

- Update to version 1.8.4:
+ Add Meson build, in parallel with Autotools.
+ Fix cruft in the Autotools build.
+ Fix a snafu in the name of the getter for the
GtkClutterEmbed:use-layout-size property; the ABI is preserved.
+ Bugs fixed: bgo#783431.

==== enchant ====
Subpackages: enchant-devel libenchant1

- aspell to be removed from factory [bsc#1052949]

==== evolution ====
Version update (3.24.4 -> 3.24.5)
Subpackages: evolution-plugin-bogofilter evolution-plugin-pst-import
evolution-plugin-spamassassin

- Update to version 3.24.5:
+ Workaround broken GPG encrypted messages from Exchange and
GroupWise servers.
+ Reply-To header value lost on Draft message reopen.
+ Set shadow for Aliases scrolled window in mail account
Properties.
+ Bugs fixed: bgo#785031, bgo#785127, bgo#785188, bgo#785233,
bgo#785412, bgo#777086, bgo#785717, bgo#785800.
+ Updated translations.

==== evolution-data-server ====
Version update (3.24.4 -> 3.24.5)
Subpackages: libcamel-1_2-60 libebackend-1_2-10 libebook-1_2-19
libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25 libedata-cal-1_2-28
libedataserver-1_2-22 libedataserverui-1_2-1

- Update to version 3.24.5:
+ Workaround issue with badRequest/invalid format for Google
address book.
+ Deadlock on exit under e-categories.c:finalize_categories().
+ [Vala] Fix a warning with a virtual method being the same name
as another method.
+ Bugs fixed: bgo#785136, bgo#785188, bgo#785212, bgo#785393.
+ Updated translations.

==== evolution-ews ====
Version update (3.24.4 -> 3.24.5)
Subpackages: evolution-ews-lang

- Update to version 3.24.5:
+ Bugs fixed: bgo#785188.
+ Updated translations.

==== file-roller ====

- Recommands unar instead of unrar, it does the same job but is
under a free license.

==== fuse ====
Subpackages: libfuse2

- Ensure trusted group is available on Tumbleweed.

==== gdk-pixbuf ====
Version update (2.36.7 -> 2.36.8)
Subpackages: gdk-pixbuf-devel gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit gdk-pixbuf-thumbnailer libgdk_pixbuf-2_0-0
libgdk_pixbuf-2_0-0-32bit typelib-1_0-GdkPixbuf-2_0

- Update to version 2.36.8:
+ jpeg: restore grayscale image support (bgo#785171).
+ bmp: Tighten image dimension checks (bgo#776694).
+ ico: Fixo icon quality sorting (bgo#785447).
+ Various other leak and overflow fixes (bgo#765094, bgo#783538,
bgo#778204).
+ Add some assertion to help static analysis (bgo#778943).
+ Remove support for building on various obsolete platforms.
+ Updated translations.

==== gedit ====
Version update (3.22.0 -> 3.22.1)
Subpackages: python3-gedit

- Update to version 3.22.1:
+ Misc bugfixes.
+ Updated translations.
- Drop gedit-fix-font-scaling.patch: Fixed upstream.

==== geocode-glib ====
Version update (3.23.90 -> 3.24.0)
Subpackages: libgeocode-glib0 typelib-1_0-GeocodeGlib-1_0

- Update to version 3.24.0:
+ Stable bump only.

==== gnome-online-accounts ====
Version update (3.24.1 -> 3.24.2)
Subpackages: libgoa-1_0-0 libgoa-backend-1_0-1 typelib-1_0-Goa-1_0

- Update to version 3.24.2:
+ backend: Use constructor to setup gettext (bgo#760440).
+ facebook: Make it work with Graph API > 2.3 (bgo#785726).
+ Updated translations.

==== gnome-online-miners ====
Version update (3.22.0 -> 3.24.0)

- Update to version 3.24.0:
+ Adopt the nfo:EBook extensions from Documents.

==== gnome-settings-daemon ====

- run autoreconf if running update-translations and add the
missing buildrequires
- dont apply gnome-settings-daemon-revert-libinput-mandatory.patch
on sle15

==== graphene ====

- on i586, disable sse2 for the moment, otherwise the package
fails in the testsuite on the "box" test

==== gtk3 ====
Version update (3.22.17 -> 3.22.18)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.22.18:
+ Support entering emoji by name, using Ctrl-Shift-E.
+ Wayland:
- Add support for the shortcut inhibitor protocol.
- Support Wacome tablet wheel scrolling.
+ Bugs fixed: bgo#771959, bgo#776903, bgo#776909, bgo#777333,
bgo#777515, bgo#778188, bgo#780938, bgo#781246, bgo#782870,
bgo#783343, bgo#783649, bgo#783716, bgo#783906, bgo#784624,
bgo#785255, bgo#785375, bgo#785423, bgo#785672.
+ Updated translations.

==== kernel-source ====
Version update (4.12.7 -> 4.12.8)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.12.8 (bnc#1012628).
- commit 4d7933a
- ALSA: usb-audio: Apply sample rate quirk to Sennheiser headset
(bsc#1052580).
- commit a8251af

==== libglvnd ====
Subpackages: libglvnd-32bit libglvnd-devel

- U_Fix-typo-in-LIBRARY_FEATURE_NAMES.patch
* Fix typo that caused gles 3.1 and 3.2 symbols to be missing in
the generated libraries. (bnc#1052776)

==== libmediaart ====
Version update (1.9.1 -> 1.9.4)
Subpackages: libmediaart-2_0-0 typelib-1_0-MediaArt-2_0

- Update to version 1.9.4:
+ Brown paper bag release, export some missing methods that went
unintentionally hidden.
- Changes from version 1.9.3:
+ Brown paper bag release, fixes soname on meson builds and
missing includes on autotools.
- Changes from version 1.9.2:
+ extract: Remove Nokia album art downloader support.
+ build:
- Improve dependency tracker for marshallers sources.
- Remove duplicate introspection comment for
media_art_error_quark().
- Add meson build instructions.
- Drop upstream fixed patches:
+ libmediaart-remove-nokia-albumart.patch.
+ libmediaart-build-marshall-files-fixes.patch.
+ libmediaart-remove-duplicate-introspection.patch.
- Drop libtool BuildRequires and stop passsing autoreconf, no
longer needed as there are no more patches.
- Add libmediaart-remove-nokia-albumart.patch: Remove Nokia album
art downloader support (bgo#767959).
- Add libmediaart-build-marshall-files-fixes.patch: Improve
dependency tracking for marshallers sources and add an explicit
dependency on marshal files.
- Add libmediaart-remove-duplicate-introspection.patch: Remove
duplicate introspection comment for media_art_error_quark().
- Add libtool BuildRequires and pass autoreconf as one of the
patches touches the buildsystem.

==== libofa ====

- Cleanup with spec-cleaner a bit

==== libostree ====
Version update (2017.8 -> 2017.9)
Subpackages: libostree-1-1

- Update to version 2017.9:
+ A notable new feature in this release is that the pull
machinery now interprets two new metadata keys:
ostree.ref-binding and ostree.collection-binding.
This allows closing a longstanding class of "sidegrade" attacks
that Florian Weimer identified when performing a security audit
of libostree years ago (bgo#724873).
There was a more recent discussion on this topic on the list:
https://mail.gnome.org/archives/ostree-list/2017-May/msg00013.html
+ For the ostree-as-host case, this only matters if you offer
multiple refs. For flatpak, it's more important as a MITM
attacker could actually switch applications; that's why flatpak
implemented this a while ago as xa.ref.
+ I'll note here that it's recommended for content providers to
make use of ostree's support for tls-ca-path to implement TLS
CA pinning, which protects all metadata and content in a strong
fashion; in this scenario the GPG signatures act as a secondary
layer of defense and make offline verification easier (for e.g.
mirroring).
+ Otherwise, there's some performance enhancements for local
pulls, and a variety of bugfixes.

==== libsoup ====
Version update (2.58.1 -> 2.58.2)
Subpackages: libsoup-2_4-1 typelib-1_0-Soup-2_4

- Update to version 2.58.2 (CVE-2017-2885):
+ Fixed a chunked decoding buffer overrun that could be exploited
against either clients or servers (bgo#785774, CVE-2017-2885).

==== link-grammar ====

- link against hunspell instead of aspell [bsc#1052958]

==== mutter ====
Subpackages: libmutter-0-0 mutter-data

- libinput is needed also without wayland, so buildrequire
it unconditionally

==== nut ====
Subpackages: libupsclient1 nut-cgi

- Add use-pkg-config-gdlib.diff to fix a build failure due to the
configure scripts using gdlib-config (which is deprecated) to
obtain the CFLAGS/LDFLAGS/LIBS to use when building with gd. With
the patch, nut now uses pkg-config which returns the right values

==== pango ====
Version update (1.40.7 -> 1.40.9)
Subpackages: libpango-1_0-0 libpango-1_0-0-32bit pango-devel
typelib-1_0-Pango-1_0

- Update to version 1.40.9:
+ Build and dist fixes.
+ Fix build on Windows with MSVC (bgo#783274).
- Update to version 1.40.8:
+ Support emoji sequences in boundary determination.
+ Choose emoji font for color emoji.

==== perl-Class-Inspector ====
Version update (1.31 -> 1.32)

- updated to 1.32
see /usr/share/doc/packages/perl-Class-Inspector/Changes
1.32 2017-08-08 14:12:42 -0400
- The installed method now supports @INC hooks of any type
(coderef was supported as of 1.29, now arrayrefs and objects
are supported)
- Detect probably broken Perl on Cygwin in Makefile.PL (see gh#5)

==== perl-DBD-mysql ====

- Add patch to fix CVE-2017-10788 bsc#1047095
* Denial of service or possibly RCE through use-after-free
* perl-DBD-mysql-4.043-CVE-2017-10788.patch

==== perl-Net-Server ====
Version update (2.008 -> 2.009)

- updated to 2.009
see /usr/share/doc/packages/perl-Net-Server/Changes
2.009 Aug 09 2017
- Several long awaited fixes
- Log when a child exits abnormally. RT #86815
- Added delete-child hook
- Add cleanup_dead_child_hook to PreFork server
- Removed stray warn
- Use File::Temp instead of POSIX::tmpnam
- UNIX read_until to allow for SSL under unix sockets

==== perl-Specio ====
Version update (0.38 -> 0.39)

- updated to 0.39
see /usr/share/doc/packages/perl-Specio/Changes
0.39 2017-08-02
- Many bug fixes and improves to the types created by
{any,object}_{can,does,isa}_type. In some cases, an invalid value could
cause an exception in type check itself. In other cases, a value which
failed a type check would cause an exception when generating a message
describing the failure. These cases have all been fixed.
- The messages describing a failure for all of these types have been improved.
- You can now create anonymous *_does and *_isa types using the exports from
Specio::Declare.

==== perl-XML-XPath ====
Version update (1.41 -> 1.42)

- updated to 1.42
see /usr/share/doc/packages/perl-XML-XPath/Changes
1.42 2017-07-30 MANWAR
- Fixed GitHub issue #5 (abstract is undef in meta files). Thanks @y.

==== s2tc ====
Subpackages: s2tc-32bit

- Replace unconditional Recommends for the 32bit variant with
a supplements in baselibs.conf to not unnecessarily pull in
32bit libs

==== sendmail ====

- Add libnsl-devel build requires for glibc obsoleting libnsl

==== sni-qt ====

- Add Supplements: packageand(plasma5-workspace:libqt4) to main package
and baselibs.conf

==== texlive-specs-n ====
Version update (2017.131.2.004svn28119 -> 2017.132.2.004svn28119)

- Avoid shell for dealing with perl shebangs (boo#1053707)
- Increase version of algorithm2e.sty to fix boo#1051054
... mention added patch "algorithm2e_umlauts.dif"

==== tracker ====
Version update (1.12.1 -> 1.12.2)
Subpackages: libtracker-common-1_0 libtracker-control-1_0-0
libtracker-miner-1_0-0 libtracker-sparql-1_0-0 tracker-miner-files
typelib-1_0-Tracker-1_0 typelib-1_0-TrackerControl-1_0

- Update to version 1.12.2:
+ Sqlite 3.20 introduced incompatible changes in the way FTS5 can
be extended, compile/runtime checks were added to adapt to the
new safer way if Sqlite >= 3.20.0 is found.
+ Fix TrackerDBInterface being reused with no FTS set up.

==== tracker-extras ====
Version update (1.12.1 -> 1.12.2)
Subpackages: nautilus-extension-tracker-tags tracker-gui

- Update to version 1.12.2:
+ Sqlite 3.20 introduced incompatible changes in the way FTS5 can
be extended, compile/runtime checks were added to adapt to the
new safer way if Sqlite >= 3.20.0 is found.
+ Fix TrackerDBInterface being reused with no FTS set up.

==== transmission ====
Subpackages: transmission-common transmission-gtk

- boo#1052817 - Edit transmission-qt.desktop to handle magnet links
(x-scheme-handler/magnet).

==== upower ====
Version update (0.99.4 -> 0.99.5)
Subpackages: libupower-glib3 typelib-1_0-UpowerGlib-1_0

- Update to version 0.99.5:
+ New Features:
- Add a more complete self test for HID++ devices.
- Add BatteryLevel property for devices with a finite number of
power levels.
- Add support for pausing and resuming of the daemon poll.
- Get a serial number for device batteries.
- Refresh devices after waking up from sleep.
+ Bugfixes:
- Add proper error and cancellable handling to UpClient
constructor.
- Do not spin in a loop when /proc/timer_stats cannot be
written.
- Exit early from up-tool when connecting to upower fails.
- Expand the integration-tests to run in more environments.
- Fix reading and writing the keyboard brightness level.
- Fix -Wformat-y2k compilation errors.
- Lower initial power usage when iDevice isn't accessible.
- Simplify string checks in upower-glib.
- Drop upower-fix-get-critical-crash.patch: Fixed upstream.

==== webkitgtk ====
Subpackages: libjavascriptcoregtk-1_0-0 libwebkitgtk-1_0-0 libwebkitgtk2-lang

- Disable DWZ in webkitgtk3-debuginfo (bnc#1044848)

==== whois ====

- drop whois-5.2.15-fix-CIDR-with-libidn2.patch, no longer required
with libidn2 >= 2.0.3


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages